Bug 1955671

Summary: fig2dev: Null pointer in gensvg.c in function svg_arrows
Product: [Other] Security Response Reporter: Pedro Sampaio <psampaio>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED NOTABUG QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: databases-maint, hdegoede, hhorak, jmlich83, kasal, mschorm, odubaj, panovotn, pkubat, steve.traylen
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-05-20 05:41:50 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1955678    

Description Pedro Sampaio 2021-04-30 16:02:07 UTC
A flaw was found in fig2dev version 3.2.8a. A null pointer in function svg_arrows in gensvg.c may lead to program crash and other potential consequences.

Upstream bug:

https://sourceforge.net/p/mcj/tickets/114/

Upstream fix:

https://sourceforge.net/p/mcj/fig2dev/ci/43cfa693284b076e5d2cc100758a34b76db65e58/

Comment 1 Riccardo Schirone 2021-05-12 13:11:07 UTC
This seems to be just a crash in a short-lived command line tool, so I don't think it is a security flaw/CVE-worthy.